Get a budget for the organization.

Base URL
https://cloud.elastic.co Public

Retrieves a budget for the specified organization. Callers with org-wide budget access receive any budget in the organization. Others receive cloud-resource-scoped budgets only when all scope values are resources they can access; otherwise 403 Forbidden. Scope values referring to deleted instances are ignored.

Path parameters

organization_id string required

The organization ID

budget_id integer required

The budget ID

Responses

Budget successfully retrieved

application/json
active boolean required
alerts object[] required
created_at string
id integer required
last_exceeded_at string
operator enum required
Values: gte
threshold integer required
threshold_type enum required
Values: percentage
amount integer required
created_at string
id integer required
name string
period enum required
Values: monthly
recipient_group enum[] required
Values: organization-admins billing-admins resource-viewers resource-editors resource-admins
scope_type enum required
Values: organization cloud_resource
scope_values string[] required
403

Not allowed to read this budget

404

Budget not found

500

Internal server error

Base URL
https://cloud.elastic.co Public